Loading...
Searching...
No Matches
VPB_STRAN Struct Reference
Public API functions » Port initialisation » Card information » Port control » Event handling » Audio play and record » Error handling » Programmable tone generator » Programmable tone detector

Cadence state transition data for `VPB_DETECT`. More...

`#include <vpbapi.h>`

Collaboration diagram for VPB_STRAN:

## Public Attributes

uint16_t | type
| `VPB_TIMER`, `VPB_RISING`, or `VPB_FALLING`
uint16_t | tfire
| timer mode only
uint16_t | tmin
| minimum tone on/off time (non timer) in ms
uint16_t | tmax
| maximum tone on/off time (non timer) in ms

## Detailed Description

Cadence state transition data for `VPB_DETECT`.